package jnet.lib.object;

import java.io.Serializable;


public class User implements Serializable {
    
    private int id;
    private String username;
    private String password;
    
    private boolean addMap;
    private boolean removeMap;
    private boolean editMap;
    private boolean addObject;
    private boolean removeObject;
    private boolean editObject;
    private boolean editServer;

    public User(int id, String username, String password, boolean addMap, boolean removeMap, boolean editMap, boolean addObject, boolean removeObject, boolean editObject, boolean editServer) {
        this.id = id;
        this.username = username;
        this.password = password;
        this.addMap = addMap;
        this.removeMap = removeMap;
        this.editMap = editMap;
        this.addObject = addObject;
        this.removeObject = removeObject;
        this.editObject = editObject;
        this.editServer = editServer;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public boolean isAddMap() {
        return addMap;
    }

    public void setAddMap(boolean addMap) {
        this.addMap = addMap;
    }

    public boolean isRemoveMap() {
        return removeMap;
    }

    public void setRemoveMap(boolean removeMap) {
        this.removeMap = removeMap;
    }

    public boolean isEditMap() {
        return editMap;
    }

    public void setEditMap(boolean editMap) {
        this.editMap = editMap;
    }

    public boolean isAddObject() {
        return addObject;
    }

    public void setAddObject(boolean addObject) {
        this.addObject = addObject;
    }

    public boolean isRemoveObject() {
        return removeObject;
    }

    public void setRemoveObject(boolean removeObject) {
        this.removeObject = removeObject;
    }

    public boolean isEditObject() {
        return editObject;
    }

    public void setEditObject(boolean editObject) {
        this.editObject = editObject;
    }

    public boolean isEditServer() {
        return editServer;
    }

    public void setEditServer(boolean editServer) {
        this.editServer = editServer;
    }

    
}
